> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a specific program by id

> Update an existing lab test program identified by its ID.

Only provided fields will be updated.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json patch /programs/{program_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /programs/{program_id}:
    patch:
      tags:
        - Programs
      summary: Update a specific program by id
      description: |-
        Update an existing lab test program identified by its ID.

        Only provided fields will be updated.
      operationId: update_program_programs__program_id__patch
      parameters:
        - name: program_id
          in: path
          required: true
          schema:
            type: string
            title: Program Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
              title: Raw Data
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Program'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Program:
      properties:
        name:
          type: string
          maxLength: 255
          minLength: 1
          title: Name
          description: Display name of the program.
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Free-text description of the program.
        id:
          type: string
          title: Id
          description: Unique identifier for the program
        organization_id:
          type: string
          title: Organization Id
          description: Organization this program belongs to.
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
          description: User ID of the user who created this program
        created_by_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By Email
          description: Email of the user who created this program
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when the program was created
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when the program was last updated
      type: object
      required:
        - name
        - id
        - organization_id
        - created_at
        - updated_at
      title: Program
      description: Model representing a program as returned by the API.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````